Author Topic: Gtk update needed  (Read 1123 times)

Offline armageddon51

  • Member
  • ***
  • Posts: 82
  • Karma: 11
  • New Forum User
    • View Profile
  • Peppermint version(s): 6
Gtk update needed
« on: November 14, 2015, 08:21:38 am »
There a bunch of nice themes developed on "gnone-look.org" but they don't display correctly in PM (nor Mint). It is because the gtk kit is too old (3.10 - 2013?) and the new designs use 3.16-18. Is there a way to upgrade that kit ?
I think Ubuntu is up to date, not sure.

Thanks
( I am really no an expert on this though)

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Gtk update needed
« Reply #1 on: November 14, 2015, 11:45:47 am »
AFAIK there's no easy and safe way to do this .. it can be done, but it'd be a PITA and you'd risk breaking things.

Ubuntu 14.04 will have the same gtk version as us .. becuase it comes from the same place
« Last Edit: November 14, 2015, 11:47:49 am by PCNetSpec »
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline armageddon51

  • Member
  • ***
  • Posts: 82
  • Karma: 11
  • New Forum User
    • View Profile
  • Peppermint version(s): 6
Re: Gtk update needed
« Reply #2 on: November 14, 2015, 01:32:56 pm »
I tried Ubuntu 15.10 and the kit is 3.16.7. The themes appear correctly there. Anyway no big deal.

Will  Peppermint 7 based on Ubuntu 15.xx ?

Offline PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 26452
  • Karma: 65531
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 10
Re: Gtk update needed
« Reply #3 on: November 14, 2015, 02:34:36 pm »
Peppermint 7 will be based on 16.04 when it's released ;)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec